Package org.eclipse.mat.parser.index

## Interface IIndexReader.IOne2LongIndex

All Superinterfaces:
  `IIndexReader`

All Known Implementing Classes:
  `IndexReader.LongIndexReader`, `IndexWriter.Identifier`

Enclosing interface:
  IIndexReader

    public static interface IIndexReader.IOne2LongIndex
    extends IIndexReader

Index from object id to a long. For example, object id to object address or object id to retained size.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.parser.index.IIndexReader

`IIndexReader.IOne2LongIndex, IIndexReader.IOne2ManyIndex, IIndexReader.IOne2ManyObjectsIndex, IIndexReader.IOne2OneIndex, IIndexReader.IOne2SizeIndex`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `get​(int index)` Look up a long from an int in the index.
`long[]` `getNext​(int index, int length)` Look up long from an range of int keys in the index.
`int` `reverse​(long value)` Find the int corresponding to the long in the index value.

### Methods inherited from interface org.eclipse.mat.parser.index.IIndexReader

`close, delete, size, unload`

### Method Detail

#### get

    long get​(int index)

Look up a long from an int in the index.

Parameters:
  `index` - the key
Returns:
  the long

#### reverse

    int reverse​(long value)

Find the int corresponding to the long in the index value. The reverse of `get(int)`

Parameters:
  `value` - the value to look up
Returns:
  the correspond int key in the index

#### getNext

    long[] getNext​(int index,
                   int length)

Look up long from an range of int keys in the index.

Parameters:
  `index` - the starting point
  `length` - the number of items to look up
Returns:
  an array of longs corresponding to the input